package asm.accessors;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.entity.LivingEntity;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Accessor;

@Environment(EnvType.CLIENT)
@Mixin({LivingEntity.class})
public interface ILivingEntity {
   @Accessor("lastAttackedTicks")
   int getLastAttackedTicks();

   @Accessor("jumpingCooldown")
   int getLastJumpCooldown();

   @Accessor("jumpingCooldown")
   void setLastJumpCooldown(int i);

   @Accessor("leaningPitch")
   float getLeaningPitch();

   @Accessor("leaningPitch")
   void setLeaningPitch(float f);

   @Accessor("lastLeaningPitch")
   void setLastLeaningPitch(float f);
}
